Update Channel

LLM-friendly URL
POST
https://api.luzmo.com/0.1.0/channel

Update a channel

Request parametersResponse schema
id UUID

The unique identifier of the entity

name Multilingual string

Internationalized title of the channel.

type STRING

The type of channel. Can be email, slack, sms or webhook.

config OBJECT
Schema

Config for an Alert email channel.

message Multilingual string
subject Multilingual string
recipients ARRAY[OBJECT]
Can be executed by:
Channel Owner
Can be associated to:
User
Organization
Alert
Did this page help you?
Yes No
Language
Shell
Node
Java
.NET
Python
PHP
Install
pkg:maven/com.luzmo/sdk@1.0.0
Example Response
200
400
500
{
  "id": "0218f31b-0296-4cce-b2a4-384f27d2526a",
  "name": {
    "en": "My new channel name"
  },
  "config": {
    "url": "< url >",
    "secret": "< secret >"
  }
}